For the complete documentation index, see llms.txt. This page is also available as Markdown.

BatchAchOrig

Perform various operations on batch Automated Clearing House (ACH) origination records.

Symitar eDocs References: Coming soon.

Operations

getBatchAchOrigSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
BatchAchOrigLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/getBatchAchOrigSelectFields
POST /nexum/627/persistent/account/getBatchAchOrigSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 247

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013454",
  "BatchAchOrigLocator": 292,
  "SelectableFields": {
    "IncludeAllBatchAchOrigFields": true
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "BatchAchOrig": {
    "Locator": 292,
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getBatchAchOrigSelectFields"
}

getBatchAchOrigPagedListSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getBatchAchOrigPagedListSelectFields
POST /nexum/627/persistent/account/getBatchAchOrigPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 443

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013454",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllBatchAchOrigFields": false,
    "BatchAchOrigFields": {
      "Locator": true,
      "CompanyName": true,
      "CompanyId": true,
      "StandardEntryClassCode": true,
      "Status": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "BatchAchOrig": [],
  "Token": null,
  "MessageId": "getBatchAchOrigPagedListSelectFields"
}

searchBatchAchOrigPagedSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchBatchAchOrigPagedSelectFields
POST /nexum/627/persistent/account/searchBatchAchOrigPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 463

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013454",
  "Query": "LOCATOR=0",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllBatchAchOrigFields": false,
    "BatchAchOrigFields": {
      "Locator": true,
      "CompanyName": true,
      "CompanyId": true,
      "StandardEntryClassCode": true,
      "Status": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "BatchAchOrig": [],
  "Token": null,
  "MessageId": "searchBatchAchOrigPagedSelectFields"
}

updateBatchAchOrigByID

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
BatchAchOrigLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/updateBatchAchOrigByID
POST /nexum/627/persistent/account/updateBatchAchOrigByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 275

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "BatchAchOrigLocator": 292,
  "BatchAchOrigFields": {
    "CompanyName": "NEXUM UPDATED",
    "CompanyEntryDescription": "UPD"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": null,
    "Version_1": null,
    "_value_1": null
  },
  "MessageId": "updateBatchAchOrigByID"
}

createBatchAchOrig

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
BatchAchOrigLocatorintegerOptional
post/createBatchAchOrig
POST /nexum/627/persistent/account/createBatchAchOrig HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 348

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "BatchAchOrigFields": {
    "Status": 0,
    "CompanyName": "NEXUM TEST",
    "CompanyId": "1234567890",
    "CompanyEntryDescription": "TEST",
    "StandardEntryClassCode": "PPD",
    "EffectiveEntryDate": "2026-06-29"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "BatchAchOrigLocator": 292,
  "MessageId": "createBatchAchOrig"
}

deleteBatchAchOrig

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
BatchAchOrigLocatorintegerOptional
Responses
200

Successful operation.

application/json
nxAttributesobjectOptional

The custom object for NexumAPI response attributes.

post/deleteBatchAchOrig
POST /nexum/627/persistent/account/deleteBatchAchOrig HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 190

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "BatchAchOrigLocator": 292,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "MessageId": "deleteBatchAchOrig"
}

Last updated

Was this helpful?